<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;
$maindb = 'complaint';
$society = $_SESSION["society_" . $dbname];
$file = "complaint.php";

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];

$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`flatno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND a.`vouchdt` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND a.`name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND a.`subject` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND a.`complby` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND b.`name` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "7") {
        $cond = "AND a.`status` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND a.`flatno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND a.`vouchdt` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND a.`name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND a.`subject` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND a.`complby` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "6") {
        $cond = "AND b.`name` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "7") {
        $cond = "AND a.`status` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY a.vouchno";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY a.`flatno`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY a.`vouchdt`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY a.`name`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY a.`subject`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY a.`complby`";
} else if ($_REQUEST["sortBy"] == "6") {
    $sortcond = " ORDER BY b.`name`";
} else if ($_REQUEST["sortBy"] == "7") {
    $sortcond = " ORDER BY a.`status`";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

$query = "SELECT a.vouchno,a.flatno,DATE_FORMAT(a.vouchdt,'%d-%m-%Y') as mydt,a.name,a.subject,a.complby,b.name as recdby,a.status FROM `$maindb` a,
         `comprecdby` b WHERE a.`vouchno` = b.`code`  $cond $sortcond $ordcond LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query) or die(mysqli_error($conn));
// print table($result);
$rows = array();
$ctr = 0;

while ($r = mysqli_fetch_assoc($result)) {
    $stat = $r['status'];
    switch ($stat) {
        case "U":
            $status = 'Unattended';
            break;
        case "P":
            $status = 'Pending';
            break;
        case "C":
            $status = 'Completed';
            break;
    }
    
    $rows[] = [
    'success' => true,
    'value' => $ctr,
    'keyfld' => $keyfld,
    'flatno' => $r['flatno'],
    'vouchdt' => $r['mydt'],
    'name' => $r['name'],
    'subject' => $r['subject'],
    'complby' => $r['complby'],
    'recdby' => $r['recdby'],
    'status' => $status,
    'action' => "$file?mode=edit&vouchno=$r[vouchno]",
    ];
    $ctr++;
}
header("Content-type: application\json");
echo json_encode($rows);
